質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.26%

  • Python

    4184questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 2.7

    974questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

virtualenv上でsudo pip install

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 47

tasm

score 4

virtualenvでpython3.5上にpython2.7の環境を作りました。
しかし、ライブラリがpython3のものを使用しているのでpython2.7のものを使おうとおもいsudopip installをしましたがsudoを使うとホームディレクトリが /rootになるのでpython2.7のnumpyをインストールできません。
どうすればいいですか。

numpyを入れたい場所は/home/name/py2/lib/python2.7/site-packagesで
sudoを使ってはいる場所は/usr/lib/python3.5/site-packagesです

追記
pip installをした場合、
OSError: [Errno 13] 許可がありません: '/home/nimani/py2/lib/python2.7/site-packages/numpy'
になるのでsudoをしています。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

作成した仮想環境をactivateした状態でpip installを実行してください。
この際、sudoは不要です。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/12/15 00:20

    言い忘れてました
    pip installをした場合
    OSError: [Errno 13] 許可がありません: '/home/nimani/name/lib/python2.7/site-packages/numpy'
    がでるのでsudoを使ってinstallをしようとしました。

    キャンセル

  • 2017/12/15 00:22

    仮想環境の所有者がrootになってたりしません?

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.26%

関連した質問

  • 解決済

    pipによるパッケージインストールについてのエラー

    pipを利用してScrapyというフレームワークをインストールしようと試みたのですが、ディレクトリが作成できないといった旨のエラーが発生してしまいます。 初歩的な質問で申し訳ござい

  • 解決済

    pipで追加したモジュールに関して

    pipを使って入れたモジュールを、試しにPythonのインタープリターでimportしようとすると、そんなモジュールは無いというエラーが出ます。 $ pip freeze でモジ

  • 解決済

    pip install が実行できない

    Macを使っていますが、pip installができません。 pip install neo4jrestclient と実行すると下記エラーになります。 Collecting 

  • 解決済

    Python pyaudioの導入

    前提・実現したいこと macを使用しておりPythonのモジュールの一つであるpyaudioをインストールしたいのですが以下のようなエラーが出ます。対処方法を教えていただけないで

  • 解決済

    pipがアップグレードできません

    Python初心者です。 pipをアップグレードしようとすると下記のようなエラーが出てしまいます。 色々なサイトで調べたのですが解決できず困っています。 教えいただけるとあり

  • 解決済

    pip3を用いたtensorflowのインストール時、numpyへのアクセスが拒否されます。

    前提・実現したいこと Python3.5(64bit)のインストールには成功しました。次に、以下のコマンドを用いてpip3によりtensorflowをインストールしたいと思っていま

  • 解決済

    python内word2vecのインポートについて

    word2vecを動かしてみたい こんにちは。私はword2vecを動かしてみたいと考えています。 こういう作業はしたことがないのでゼロからの挑戦です。 ・環境 ・VMplayer

  • 解決済

    Pythonのpipでのパッケージインストール

    前提・実現したいこと Pythonを使ってBitcoinのBotを作ろうと思っていましたのでAPIを取得しようと思っていました。 発生している問題・エラーメッセージ Zaifと

同じタグがついた質問を見る

  • Python

    4184questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Python 2.7

    974questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。